Subject: Re: [PATCH] Support hiding deleted IMAP messages (v3)

From: Greg Troxel <[email-masked]>
Date: Fri, 03 Jul 2015 09:44:28 -0400

Nikolaus Rath <[email-masked]> writes:

> This patch introduces a new server variable, nnimap-hide-deleted. If
> non-nil, articles with the IMAP \Deleted flag will not be included in
> Summary buffers.
>
> This is intended to increase operability with other IMAP mailreaders and
> the new 'never value for nnimap-expunge (see patch in bug 20670).

I haven't reviewed the patch, but the functionality is needed.  I find
that on deleting messages with GUI IMAP clients, they are still seen in
gnus.

I find the deletion notion in IMAP confusing, between move-to-trash and
just-marked-deleted-but-keep, and don't really know how the articles end
up in the trash folder using the just-mark scheme, but it hasn't
bothered me enough to dig in.   I do find myself deleting things twice
once in $GUI_IMAP, and once in gus.